﻿@{
    ViewBag.Title = "Outstanding Department";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<link href="~/Content/plugins/bootstrap-combobox/css/bootstrap-combobox.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-combobox/js/bootstrap-combobox.js"></script>

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>

<script type="text/javascript">


    var oTable;

    $(document).ready(function () {

        var aryColTableChecked = [];
        for (var idx = 1; idx < 5; idx++) {
            aryColTableChecked.push("field" + idx);

        }

        var aoColumnDef = [];

        $.each(aryColTableChecked, function (i, value) {

            var obj = {
                "mData": value, "aTargets": [i]
            }
            aoColumnDef.push(obj);
        });


        if (oTable != null) {
            oTable.fnDestroy();
        }

        oTable = $('#tblData').dataTable({
            "sAjaxSource": "@Url.Action("GetOutstandingDepartment", "OutstandingDepartment")",
            "bServerSide": false,
            "bProcessing": true,
            "bSort": false,
            "bPaginate": true,
            "bLengthChange": false,
            "bStateSave": false,
            "bDestroy": true,
            "bRetrieve": true,
            "fnServerData": function (sSource, aoData, fnCallback) {
                $.ajax({
                    "dataType": "json",
                    "type": "POST",
                    "url": sSource,
                    "data": aoData,
                    "success": fnCallback
                });
            },
            "sDom": '<"#tblData_header.clearfix "<"pull-left"l><"pull-right"r>><"table-responsive"t><"#ScrollTop"><"#tblData_footer.clearfix "<"pull-left"i><"pull-right"p>>',
            "fnServerParams": function (aoData) {
                aoData.push({ "name": "riskno", "value": $('#txtriskno').val() });
            },
            "aoColumnDefs": aoColumnDef,
            "iDisplayLength": 20,
            "oLanguage": {
                "sProcessing": '<i class="fa fa-spinner fa-spin"></i> Retrieve Data ... ',
                "sLengthMenu": '_MENU_'
            },
        });

        oTable.fnSettings().aoColumns[0].sClass = "text-center";
        oTable.fnSettings().aoColumns[1].sClass = "text-center";
        oTable.fnSettings().aoColumns[2].sClass = "text-left";
        oTable.fnSettings().aoColumns[3].sClass = "text-left";
        
       






    });


</script>

<style>
    .label-def-margin {
        margin-top: 10px;
    }

    .GridDock {
        overflow-x: auto;
        overflow-y: hidden;
        width: 100%;
        padding: 0 0 0 0;
    }
</style>


<div class="col-sm-12">


    <div class="panel panel-primary">
        <div class="panel-body">
            <div class="GridDock" id="dvGridWidth">
                <table id="tblData" class="table table-striped table-hover table-bordered" width="100%" style="font-size: 10px; margin-top: 0 !important; margin-bottom: 0 !important; padding-top: 0 !important; padding-bottom: 0 !important;">
                    <thead class="bg-mantle-gradient">
                        <tr>
                            <th style="width: 50px;">No</th>
                            <th>Department</th>
                            <th>PIC</th>
                            <th>Email</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

</div>
